MAXFRAME(1)             XROUTER REFERENCE MANUAL              22/7/02

COMMAND
        MAXFRAME -- Display / Set port MAXFRAME value.

SYNOPSIS
        MAX[FRAME] <port> [n]

DESCRIPTION
        The MAXFRAME command is used to display and set the AX25 L2 
        MAXFRAME (window) value for the specified port.  This is the 
        maximum number of unacknowledged frames allowed before the 
        link must stop and wait for an ack.  The normal range is 
        between 1 and 7, although maxframes of up to 127 are allowed 
        in modulo-128 links.

        If port maxframe > 7 is specified, all level 2 downlinks on 
        that port will attempt to use Modulo-128, falling back to 
        modulo-8 if the target doesn't support Mod-128.

        If the port PACLEN is set to zero (dynamic mode), both 
        MAXFRAME and PACLEN will adapt to link conditions. MAXFRAME 
        starts at the port's maxframe, reducing when there are 
        excessive retries, and increasing when there are no retries.

        If the second argument to the MAXFRAME command is ommitted, 
        the current value is displayed.

        If the setting is changed, the new setting remains in force 
        until it is changed again, or until the router is restarted, 
        in which case it returns to the default value specified in the 
        port entry in the CFG file.

EXAMPLE
        MAX 2       - Display current maxframe setting for port 2
        MAX 2 6     - Set maxframe for port 2 to 6.

AVAILABILITY
        MAXFRAME is a sysop-only command.

MAXFRAME(1)                      END OF DOCUMENT
